package com.jeequan.jeepay.core.interfaces.device;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.exception.BizException;
import com.jeequan.jeepay.core.model.device.PayOrderInfo4Device;

/**
 * 调起播报接口
 *
 * @author zx
 *
 * @date 2021/12/16 11:31
 */
public interface ISpeakerService {

    /** 调起播报 **/
    void send(JSONObject deviceParams, PayOrderInfo4Device speakPayOrderInfo) throws BizException;

    /** 自定义语音播报 **/
    void sendCustomMsg(JSONObject deviceParams, PayOrderInfo4Device speakPayOrderInfo) throws BizException;

    /**
     * 绑定消息推送
     *
     * @param deviceParams
     * @param isVersion
     * @return
     */
    default void bindSend(JSONObject deviceParams, boolean isVersion) {

    }

    /**
     * 设备绑定查询接口
     *
     * @param deviceParams
     * @return
     */
    default JSONObject bindQuery(JSONObject deviceParams) {
        return null;
    }

    /**
     * 获取url
     * @param reqData
     * @return
     */
    default JSONObject getUrl(JSONObject reqData){
        return null;
    }

}
